#version 120

varying vec4 color;
varying vec2 texcoord;
varying vec4 lmcoord;

uniform sampler2D texture;
uniform sampler2D lightmap;

void main() {
    // Get base texture
    vec4 albedo = texture2D(texture, texcoord) * color;
    
    // Sample lightmap
    vec3 lighting = texture2D(lightmap, lmcoord.st).rgb;
    
    // Apply lighting to texture
    albedo.rgb *= lighting;
    
    gl_FragColor = albedo;
}